Reset Search
 

 

Article

KB40326 - Receiving "No IVE data Version" response after upgrading 8.2R5 and above

« Go Back

Information

 
Last Modified Date9/29/2016 4:14 AM
Synopsis
This article describes a issue where sending netconf commands or after a XML import will result in a "No IVE data Version" response after upgrading to 8.2R5.
Problem or Goal
After upgrading to 8.2R5 and above, PCS device may respond with the following message when sending netconf commands or after a XML import:
 
<rpc-reply xmlns="http://xml.juniper.net/ive-sa/8.2R5" message-id="111">
<rpc-error xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<error-type>application</error-type>
<error-tag>operation-failed</error-tag>
<error-severity>error</error-severity>
<error-message>No IVE data Version</error-message>
</rpc-error>
</rpc-reply>

 
Cause
This issue is due to a code change in 8.2R5 and above to include additional validations checks within the XML data for IVE version.
Solution
To resolve this issue, ensure IVE version is included in the configuration attribute.  Below is an example of the new XML format with the new changes highlighted in RED.
 
<configuration xmlns="http://xml.juniper.net/ive-sa/8.2R5" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" iveData="2708" 
saData="2601">
    <authentication>
        <auth-servers>
            <auth-server>
                <name>Administrators</name>
...

To obtain a copy of the correct configuration attribute data, export a copy of the configuration using XML export from the admin UI.
Related Links
Attachment 1 
Created ByK. Kitajima

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255